

Not sure why we need two copies of this function - use the new one.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/acpi/processor.c |   68 ---------------------------------------
 1 files changed, 68 deletions(-)

diff -puN drivers/acpi/processor.c~acpi_processor_start-fix drivers/acpi/processor.c
--- 25/drivers/acpi/processor.c~acpi_processor_start-fix	2004-10-28 19:23:18.064948824 -0700
+++ 25-akpm/drivers/acpi/processor.c	2004-10-28 19:25:11.556695456 -0700
@@ -2466,74 +2466,6 @@ end:
 	return_VALUE(result);
 }
 
-
-
-static int
-acpi_processor_start(
-	struct acpi_device	*device)
-{
-	int			result = 0;
-	acpi_status		status = AE_OK;
-	u32			i = 0;
-	struct acpi_processor	*pr;
-
-	ACPI_FUNCTION_TRACE("acpi_processor_start");
-
-	pr = acpi_driver_data(device);
-
-	result = acpi_processor_get_info(pr);
-	if (result) {
-		/* Processor is physically not present */
-		return_VALUE(0);
-	}
-
-	BUG_ON((pr->id >= NR_CPUS) || (pr->id < 0));
-
-	processors[pr->id] = pr;
-
-	result = acpi_processor_add_fs(device);
-	if (result)
-		goto end;
-
-	status = acpi_install_notify_handler(pr->handle, ACPI_DEVICE_NOTIFY,
-		acpi_processor_notify, pr);
-	if (ACPI_FAILURE(status)) {
-		ACPI_DEBUG_PRINT((ACPI_DB_ERROR,
-			"Error installing device notify handler\n"));
-	}
-
-	/*
-	 * Install the idle handler if processor power management is supported.
-	 * Note that we use previously set idle handler will be used on 
-	 * platforms that only support C1.
-	 */
-	if ((pr->flags.power) && (!boot_option_idle_override)) {
-		printk(KERN_INFO PREFIX "%s [%s] (supports",
-			acpi_device_name(device), acpi_device_bid(device));
-		for (i = 1; i < ACPI_C_STATE_COUNT; i++)
-			if (pr->power.states[i].valid)
-				printk(" C%d", i);
-		printk(")\n");
-		if (pr->id == 0) {
-			pm_idle_save = pm_idle;
-			pm_idle = acpi_processor_idle;
-		}
-	}
-	
-	if (pr->flags.throttling) {
-		printk(KERN_INFO PREFIX "%s [%s] (supports",
-			acpi_device_name(device), acpi_device_bid(device));
-		printk(" %d throttling states", pr->throttling.state_count);
-		printk(")\n");
-	}
-
-end:
-
-	return_VALUE(result);
-}
-
-
-
 static void
 acpi_processor_notify (
 	acpi_handle		handle,
_
